petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatRegisterBaseName

Registers a name that can be used for either a sequential or its corresponding parallel matrix type.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRegisterBaseName(const char bname[],const char sname[],const char mname[])

### Input Parameters

| bname | - the basename, for example, MATAIJ
| sname | - the name of the sequential matrix type, for example, MATSEQAIJ
| mname | - the name of the parallel matrix type, for example, MATMPIAIJ

Level:advanced
Location:src/mat/interface/matreg.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages